| Haskell Hierarchical Libraries (fgl package) | Source code | Contents | Index

Data.Graph.Inductive.Internal.Heap

Contents

Type
Operations

Description
Pairing heap implementation of dictionary
Synopsis

data Heap a b

= Empty
| Node a b [Heap a b]

empty :: Ord a => Heap a b
unit :: Ord a => a -> b -> Heap a b
insert :: Ord a => (a, b) -> Heap a b -> Heap a b
merge :: Ord a => Heap a b -> Heap a b -> Heap a b
mergeAll :: Ord a => [Heap a b] -> Heap a b
isEmpty :: Ord a => Heap a b -> Bool
findMin :: Ord a => Heap a b -> (a, b)
deleteMin :: Ord a => Heap a b -> Heap a b
splitMin :: Ord a => Heap a b -> (a, b, Heap a b)
build :: Ord a => [(a, b)] -> Heap a b
toList :: Ord a => Heap a b -> [(a, b)]
heapsort :: Ord a => [a] -> [a]

Type
data Heap a b

Constructors

Empty |
Node a b [Heap a b] |

Instances

(Ord a, Eq a, Eq b, ??? a b) => Eq (Heap a b)
(Show a, Ord a, Show b) => Show (Heap a b)

Operations
empty :: Ord a => Heap a b
unit :: Ord a => a -> b -> Heap a b
insert :: Ord a => (a, b) -> Heap a b -> Heap a b
merge :: Ord a => Heap a b -> Heap a b -> Heap a b
mergeAll :: Ord a => [Heap a b] -> Heap a b
isEmpty :: Ord a => Heap a b -> Bool
findMin :: Ord a => Heap a b -> (a, b)
deleteMin :: Ord a => Heap a b -> Heap a b
splitMin :: Ord a => Heap a b -> (a, b, Heap a b)
build :: Ord a => [(a, b)] -> Heap a b
toList :: Ord a => Heap a b -> [(a, b)]
heapsort :: Ord a => [a] -> [a]
Produced by Haddock version 0.8